package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 推送方式,(0.不推送，1.短信)枚举类
*
* @author zxfei
*/
public enum AlarmPusW1ayEnum {
    不推送(0, "不推送"),
    短信(1, "短信");
    private Integer value;
    private String desc;

    AlarmPusW1ayEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AlarmPusW1ayEnum getByValue(Integer value) {
        for (AlarmPusW1ayEnum alarmPusW1ayEnum : AlarmPusW1ayEnum.values()) {
            if (alarmPusW1ayEnum.getValue() == value) {
                return alarmPusW1ayEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AlarmPusW1ayEnum item : AlarmPusW1ayEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}